Subject: Re: bug#39360: Add :extend attribute to show-paren-mode expression face

From: Eli Zaretskii <[email-masked]>
Date: Fri, 31 Jan 2020 19:15:43 +0200

> From: martin rudalics <[email-masked]>
> Date: Fri, 31 Jan 2020 17:45:39 +0100
> Cc: [email-masked]
> 
>  > What also looks weird and infelicitous to me is that a nonextending
>  > background color face on multiple lines shows up on the empty space at
>  > the beginning of a line, i.e., it appears to extend into this space, see
>  > attached screenshot.  I think this only happens with white space
>  > characters, not with lines indented e.g. with wrap-prefix.  It would be
>  > nice to treat all "empty" space the same in this respect.
> 
> It would be nice to have that.  But I doubt that it can be done.

It can be done, it just isn't trivial.  The implementation could be
similar to trailing-whitespace (which isn't trivial, either).

But again, I'm not sure we should discuss these changes so soon.  The
face-extension feature is not out of the woods yet, IMO.